summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJavier Jardón <jjardon@gnome.org>2011-01-24 23:02:59 +0000
committerJavier Jardón <jjardon@gnome.org>2011-01-24 23:55:33 +0000
commit96267e1e6d2eb28e6e70bef42728b57440350236 (patch)
treef9a3336c314629f6ae682867fded2f96dd97b86e
parent6b5b8432711ef5c747f8375073cd9af88922d3c6 (diff)
autogen.sh: Use autoreconf
-rwxr-xr-xautogen.sh87
1 files changed, 11 insertions, 76 deletions
diff --git a/autogen.sh b/autogen.sh
index 7a7d410..27d4025 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,84 +1,19 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
-ORIGDIR=`pwd`
-cd $srcdir
-PROJECT=sysprof
-TEST_TYPE=-f
-FILE=sysprof.c
+olddir=`pwd`
+cd "$srcdir"
-DIE=0
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
- DIE=1
-}
-
-if automake-1.7 --version < /dev/null > /dev/null 2>&1 ; then
- AUTOMAKE=automake-1.7
- ACLOCAL=aclocal-1.7
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please install it ***"
+ exit 1
else
- if automake-1.9 --version < /dev/null > /dev/null 2>&1 ; then
- AUTOMAKE=automake-1.9
- ACLOCAL=aclocal-1.9
- else
- AUTOMAKE=automake
- ACLOCAL=aclocal
- fi
-fi
-
-if test "$DIE" -eq 1; then
- exit 1
-fi
-
-test $TEST_TYPE $FILE || {
- echo "You must run this script in the top-level $PROJECT directory"
- exit 1
-}
-
-if test -z "$AUTOGEN_SUBDIR_MODE"; then
- if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish "
- echo "to pass any to it, please specify them on the $0 command line."
- fi
-fi
-
-if test -z "$ACLOCAL_FLAGS"; then
-
- acdir=`$ACLOCAL --print-ac-dir`
- m4list="glib-2.0.m4 glib-gettext.m4"
-
- for file in $m4list
- do
- if [ ! -f "$acdir/$file" ]; then
- echo "WARNING: aclocal's directory is $acdir, but..."
- echo " no file $acdir/$file"
- echo " You may see fatal macro warnings below."
- echo " If these files are installed in /some/dir, set the ACLOCAL_FLAGS "
- echo " environment variable to \"-I /some/dir\", or install"
- echo " $acdir/$file."
- echo ""
- fi
- done
+ autoreconf --force --install --verbose || exit $?
fi
-$ACLOCAL $ACLOCAL_FLAGS || exit 1
-
-autoheader || exit 1
-
-$AUTOMAKE --add-missing || exit 1
-autoconf || exit 1
-cd $ORIGDIR
-
-if test -z "$AUTOGEN_SUBDIR_MODE"; then
- $srcdir/configure --enable-maintainer-mode --enable-gtk-doc "$@"
-
- echo
- echo "Now type 'make' to compile $PROJECT."
-fi
+cd "$olddir"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"